# larexamples

This code is part of the Liquid Argon Software (LArSoft) project.
It contains examples of using the simulation and reconstruction algorithms for LAr TPC detectors.
If you have a problem, please log a redmine issue: https://cdcvs.fnal.gov/redmine/projects/larsoft/issues/new

## Dependencies

```
larexamples
|__larsim
   |__larg4
   |  |__larevt
   |  |  |__lardata
   |  |  |  |__larcore
   |  |  |  |  |__larcorealg
   |  |  |  |     |__larcoreobj
   |  |  |  |__lardataalg
   |  |  |  |  |__lardataobj
   |  |  |  |__larvecutils
```

## Example packages

- Algorithms
- AnalysisExample
- DebuggingExamples
- larexamples.dox
- RecoProxyUsageExample
- Services

## Package documentation

-    [AnalysisExample](https://larsoft.github.io/LArSoftWiki/AnalysisExample) - a detailed tutorial on performing analysis tasks in LArSoft (current as of Aug-2017).
-    [Algorithms](https://larsoft.github.io/LArSoftWiki/Writing_LArSoft_algorithms) - an example LArSoft algorithm and a module that invokes it.
-    [Services](https://larsoft.github.io/LArSoftWiki/Writing_LArSoft_service) - example LArSoft services and providers.

